Bug 1232360 - mod_evasive fails to load
Summary: mod_evasive fails to load
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_evasive
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan ONDREJ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 14:38 UTC by John Ellson
Modified: 2015-07-08 17:08 UTC (History)
2 users (show)

Fixed In Version: mod_evasive-1.10.1-22.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:14:22 UTC


Attachments (Terms of Use)

Description John Ellson 2015-06-16 14:38:05 UTC
Description of problem:
mod_evasive fails to load

Version-Release number of selected component (if applicable):
mod_evasive-1.10.1-21.fc22.x86_64
httpd-2.4.12-1.fc22.x86_64

How reproducible:
100%

Steps to Reproduce:
1.systemctl restart httpd
2.journalctl -xe
3.

Actual results:
Jun 16 10:34:08 work httpd[17831]: httpd: Syntax error on line 353 of /etc/httpd/conf/httpd.conf: Syntax error on line 2 of /etc/httpd/conf.d/mod_evasive.conf: Can't locate API module structure `evasive24_module' in file /etc/httpd/modules/mod_evasive24.so: /etc/httpd/modules/mod_evasive24.so: undefined symbol: evasive24_module


Expected results:
normal httpd restart

Additional info:
mod_evasive-1.10.1-20.fc22.x86_64  loads without difficulty.

Comment 1 Fedora Update System 2015-06-16 17:14:07 UTC
mod_evasive-1.10.1-22.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mod_evasive-1.10.1-22.fc22

Comment 2 Fedora Update System 2015-06-16 17:22:21 UTC
mod_evasive-1.10.1-22.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mod_evasive-1.10.1-22.fc21

Comment 3 Jan ONDREJ 2015-06-16 17:25:19 UTC
(In reply to John Ellson from comment #0)
> Description of problem:
> mod_evasive fails to load

Thank you for report. Please, can you test mod_evasive-1.10.1-22.fc22 build?

Comment 4 Fedora Update System 2015-06-16 17:29:00 UTC
mod_evasive-1.10.1-22.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mod_evasive-1.10.1-22.el7

Comment 5 John Ellson 2015-06-17 23:19:00 UTC
mod_evasive-1.10.1-22.fc22 loads so that httpd can run, thanks.

Comment 6 David Burrows 2015-06-18 00:01:31 UTC
I just tested mod_evasive-1.10.1-22.el7 (Comment 4) and still getting the same error.

Comment 7 John Ellson 2015-06-18 04:31:47 UTC
Re comment6: I tried mod_evasive-1.10.1-22.el7.x86_64.rpm on a centos7 system and did not see any load errors as described in this bug report.

Comment 8 Jan ONDREJ 2015-06-18 05:14:24 UTC
(In reply to David Burrows from comment #6)
> I just tested mod_evasive-1.10.1-22.el7 (Comment 4) and still getting the
> same error.

Hello. If you modified /etc/httpd/conf.d/mod_evasive.conf manuallny, then you should fix this problem manually, or replace it with new one from package.

Try to backup/remove your mod_evasive.conf, reinstall mod_evasive and make your changes again:

mv /etc/httpd/conf.d/mod_evasive.conf /tmp
yum reinstall mod_evasive -y

Make your changes again and restart httpd.

Comment 9 David Burrows 2015-06-18 05:26:13 UTC
It has indeed resolved the issue.  I installed the debuginfo package instead of the main one by accident.  Woops.

Comment 10 Fedora Update System 2015-06-18 18:36:36 UTC
Package mod_evasive-1.10.1-22.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mod_evasive-1.10.1-22.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6726/mod_evasive-1.10.1-22.el7
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-06-30 00:14:22 UTC
mod_evasive-1.10.1-22.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-30 00:26:02 UTC
mod_evasive-1.10.1-22.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-07-08 17:08:28 UTC
mod_evasive-1.10.1-22.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.